%global __brp_check_rpaths %{nil}
%define name            libtrace
%define version         4.0.10

BuildRoot:              %{_tmppath}/%{name}-%{version}-build
Summary:                libtrace is a library for trace processing
License:                GPL
URL:                    http://research.wand.net.nz/software/libtrace.php
Name:                   %{name}
Version:                %{version}
Release:                1
#Source:                http://research.wand.net.nz/software/libtrace/%{name}-%{version}.tar.bz2
Source:                 %{name}-%{version}.tar.bz2
Packager:               yuri@isi.edu
Prefix:                 /usr
Group:                  System/Libraries
BuildRequires:          gcc-c++ libpcap-devel doxygen
BuildRequires:          bison flex
BuildRequires:          zlib-devel bzip2-devel lzo-devel xz-devel
BuildRequires:          libwandio-devel
Requires:               zlib bzip2-libs lzo xz-libs libwandio

%description
libtrace is a library for trace processing. It supports multiple input methods, including device capture, raw and gz-compressed trace, and sockets; and mulitple input formats, including pcap and DAG.

%package devel
Summary: 	libtrace development headers
Group: 		System/Libraries
Provides: 	libtrace-devel

%description devel
This package contains necessary header files for libtrace development.

%package tools
Summary:        libtrace tools
Group:          System Environment/Tools
Provides:       libtrace-tools

%description tools
Helper utilities for use with the libtrace process library.

%prep
%setup -q
#%patch1 -p1

%build
./configure --prefix %{_prefix} --libdir=%{_libdir} --without-dag
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc COPYING
%{_includedir}/*
%{_mandir}/man3/*
%{_libdir}/libpacketdump/*.so
%{_libdir}/libpacketdump/*.protocol
%{_libdir}/*.so
%{_libdir}/*.a
%exclude %{_libdir}/*.la

%files tools
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/*
%{_mandir}/man1/*
